Description

We currently have a number of services configured to use fairly insecure passwords, and some are checked into SVN for the

development environments.  These include:

Metacat - admin DN, admin password

OpenLDAP - admin DN and password

Java keystore - passphrase

PostgreSQL - admin user and password

Hazelcast Storage cluster - group name and password

Hazelcast Process cluster - group name and password

Hazelcast Portal cluster   - group name and password

likely others ...

We need a secure location for these settings, and values need to be manually overridden in the production environment

deployments.

Subtasks:

Task # 2860: Create a productionPW.txt file in subversion Closed

Task # 2861: Set production passwords in the encrypted password file Closed

Task # 2862: Change the Metacat postinst script to use a per-env admin DN Closed

Task # 2863: Change d1_cn_common's DAO layer to use configurable passwords Rejected

History

#1 - 2012-06-20 13:57 - Dave Vieglais

- Milestone changed from CCI-1.0.0 to CCI-1.0.2

- Target version changed from Sprint-2012.21-Block.3.3 to Sprint-2012.25-Block.4.1

#2 - 2012-06-25 17:40 - Chris Jones

- Status changed from New to In Progress

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

Most components have been changed except for Hazelcast and the node approval tool. Moving this to CCI 1.0.3 for these changes since we have

manual workarounds for both of these issues.

#3 - 2012-07-09 14:02 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.29-Block.4.3

#4 - 2012-07-31 00:29 - Dave Vieglais

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

#5 - 2012-08-22 22:18 - Robert Waltz

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

- Position set to 1
#6 - 2012-08-31 13:52 - Dave Vieglais

- Position set to 1

- Position deleted (4)

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.35-Block.5.2

#7 - 2012-09-04 21:45 - Chris Jones

- Status changed from In Progress to Closed

We've secured all communication except for hazelcast, which requires a solid VPN set up.  See https://redmine.dataone.org/issues/3110 . I'm closing

this task since the VPN task is separate now.
